Friday, September 02, 2011

EclipseFP 2.1.0 released!

It's been a little while, but finally a new version of EclipseFP has been released! This version is mainly the work of Alejandro Serrano, who has worked on EclipseFP (and the underlying utilities) during his GSoC project. There are lots of new features in that version, mainly :

  • A package/module browser
  • Hoogle integration
  • Support for running tests
  • HLint warnings
  • Support for running executables and get profiling graphs
  • SourceGraph generation
  • Better auto completion information

Lots, I'm telling you. There are also fixes and internal enhancements that hopefully should make your life easier.
You can just run the update from your Eclipse IDE. You can find the full release notes there.
Note that Alejandro has also created a new web site for EclipseFP, that you can find there. Alejandro, big thanks for your hard work and your dedication!

Any feedback is welcome, and of course bug reports and requests for enhancements!

Happy Haskell hacking in Eclipse!


Unknown said...

I have been using Eclipse CDT for a while, and Leksah, decided to try EclipseFP. Fails with:
Cannot complete the install because one or more required items could not be found.
Software currently installed: FP: Haskell support for Eclipse 2.1.0 ( 2.1.0)
Missing requirement: Haskell Plug-in Debug Core 2.1.0 (net.sf.eclipsefp.haskell.debug.core 2.1.0) requires 'bundle org.eclipse.jdt.core 0.0.0' but it could not be found
Cannot satisfy dependency:
From: Haskell Plug-in Debug UI 2.1.0 (net.sf.eclipsefp.haskell.debug.ui 2.1.0)
To: bundle net.sf.eclipsefp.haskell.debug.core 0.0.0
Cannot satisfy dependency:
From: FP: Haskell support for Eclipse 2.1.0 ( 2.1.0)
To: net.sf.eclipsefp.haskell.debug.ui 2.0.3
I am on Ubuntu meerkat (64bit). I have been googling around but cannot find reference to fix msissing org.eclipse.jdt.core 0.0.0

JP Moresmau said...

JDT are the Java plugins. We use the Junit classes for test results. So you'll need the Java, J2EE or Classic Eclipse distrib, or just install the Java development plugins

RWKing said...

I've been using v2.0.2 and eclipse Helios under Windows 7. Upgrade to 2.1.0 fails while building scion server with:

Loading package blaze-builder- ... linking ... done.
Loading package double-conversion- ... : can't load .so/.DLL for: stdc++ (addDLL: could not load DLL)
ghc.exe: stdc++: The specified module could not be found.
cabal.exe: Error: some packages failed to install:
scion-browser-0.1 failed during the building phase. The exception was:
ExitFailure 1

Any thoughts as to the problem?

Unknown said...

Hi, Mark again.
I put Java in so I got the eclipsfp in, but no joy in building scion server. I had installed haskell platform as suggested, in a special directory so I could have multiple versions. So I went into preferences and directed to the correct ghc, and the correct cabal, but when eclipseFP tries to build the scion server it fails with: cabal: The program ghc version >=6.4 is required but it could not be found.
[I am using ghc-7.0.3, which seems all to be working. At least I got leksah running and some toy code].
I am such a noob at eclipse and haskell. any help is appreciated.


Alejandro Serrano said...

@RWKing That is a common issue installing EclipseFP. You can find the solution in the FAQ ->

RWKing said...

Alejandro: Thanks, that worked.

David said...

My attemps fails while installing missingH:

Implicit import declaration:
Ambiguous module name `Prelude':
it was found in multiple packages: base haskell98-
cabal: Error: some packages failed to install:
MissingH- failed during the building phase. The exception was:
ExitFailure 1
scion-browser-0.1 depends on MissingH- which failed to install.
(ghc 7.2.1)

Alejandro Serrano said...

It's a problem compiling MissingH in GHC 7.2. There's an open bug for it in
To get it working, you have to compile MissingH from the GitHub repo by hand, and then restart EclipseFP so scion-browser tries to get rebuilt.

JP Moresmau said...

David: unfortunately, a quick look at show a build failure under 7.2. Give John Goerzen a shout so that he fixes his library!

Pradeep said...

I am able to see the outline in the new version.. but can't see any other features listed.. can u tell me what version of scion provides these features and is nominolo still updating scion?

JP Moresmau said...

Pradeep, EclipseFP comes with scion bundled since we use a different version from what nominolo has uploaded to hackage. It's
If you see the outline, scion is working. There is another haskell package called scion-browser that provides things like Hoogle integration and that should have been automatically built too. Maybe there were errors with that? What features can't you use?

Pradeep said...

I was trying to specify the location of scion built outside eclipsefp and was trying nominolos build.

The inbuilt server was not compiling as there was a weird path for cabal and it didn't compile.

I was looking for features - "Automatic correction of package imports".. It works now :) Thanks JP and the GSOC members that worked on this release.